
# Source this file to setup the environment

INSTALL_PATH=/home/tools
LOAD_BITSTREAM=$INSTALL_PATH/scripts
HOSTNAME=$(hostname)

export DMA_IP_DRIVERS="$INSTALL_PATH/drivers/$HOSTNAME/dma_ip_drivers-onic-gamma/xilinx_pcie_drivers"

if [ ! -d $DMA_IP_DRIVERS ]; then
	echo "error: DMA_IP_DRIVERS $DMA_IP_DRIVERS directory does not exist" >&2
	return
fi

export PATH="$DMA_IP_DRIVERS/QDMA/linux-kernel/bin/:$PATH"

if [ -x /opt/Xilinx/Vivado/2020.1/settings64.sh ]; then 
   source /opt/Xilinx/Vivado/2020.1/settings64.sh
elif [ -x /opt/Xilinx/Vivado/2021.2/settings64.sh ]; then
   source /opt/Xilinx/Vivado/2021.2/settings64.sh
fi
