#!/bin/sh

set -e
set -x

dst=femu:nixos/

rsync -a fpga/fpgactl "$dst"
rsync -a fpga/boot.sh "$dst"
rsync -a fpga/env.sh "$dst"
rsync "$OPENSBI/share/opensbi/lp64/fpga/openpiton/firmware/fw_payload.bin" "$dst/opensbi.bin"
rsync "$KERNEL/Image" "$dst/kernel.bin"
rsync "$INITRD/initrd" "$dst/initrd.bin"

echo "Now go to $dst and run ./boot.sh"
